﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridHierarchyNestedListView.aspx.cs" Inherits="RadGridHierarchyNestedListView" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="True" CellSpacing="0"
            GridLines="None" Width="800px" OnNeedDataSource="RadGrid1_NeedDataSource"
            OnItemCommand="RadGrid1_ItemCommand">
            <MasterTableView AutoGenerateColumns="False" DataKeyNames="OrderID">
                <NestedViewTemplate>
                    <asp:Panel runat="server" ID="InnerContainer">
                        <telerik:RadListView runat="server" ID="RadListView1" ItemPlaceholderID="CustomersContainer"
                            DataKeyNames="VeteranID" AllowPaging="true" OnNeedDataSource="RadListView1_NeedDataSource">
                            <LayoutTemplate>
                                <div>
                                    <asp:PlaceHolder ID="CustomersContainer" runat="server"></asp:PlaceHolder>
                                    <telerik:RadDataPager ID="RadDataPager1" runat="server"
                                        PagedControlID="RadListView1" PageSize="3">
                                        <Fields>
                                            <telerik:RadDataPagerButtonField FieldType="Numeric" />
                                        </Fields>
                                    </telerik:RadDataPager>
                                </div>
                            </LayoutTemplate>
                            <ItemTemplate>
                                <div>
                                    <table cellpadding="0" cellspacing="0" border="1" width="100%">
                                        <tr>
                                            <td>
                                                <b>Veteran ID:</b> <%#Eval("VeteranID")%>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td><b>Name :</b> <%#Eval("Name")%></td>
                                        </tr>
                                        <tr>
                                            <td><b>Days :</b> <%#Eval("Days")%></td>
                                        </tr>
                                        <tr>
                                            <td><b>Examination :</b> <%#Eval("Name")%></td>
                                        </tr>
                                    </table>
                                </div>
                            </ItemTemplate>
                            <EmptyDataTemplate>
                                <fieldset>
                                    <legend></legend>No Records available
                                </fieldset>
                            </EmptyDataTemplate>
                        </telerik:RadListView>
                    </asp:Panel>
                </NestedViewTemplate>
                <Columns>
                    <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32"
                        FilterControlAltText="Filter OrderID column" HeaderText="OrderID"
                        ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID">
                    </telerik:GridBoundColumn>
                    <telerik:GridDateTimeColumn DataField="OrderDate" DataType="System.DateTime"
                        FilterControlAltText="Filter OrderDate column" HeaderText="OrderDate"
                        SortExpression="OrderDate" UniqueName="OrderDate">
                    </telerik:GridDateTimeColumn>
                    <telerik:GridNumericColumn DataField="Freight" DataType="System.Decimal"
                        FilterControlAltText="Filter Freight column" HeaderText="Freight"
                        SortExpression="Freight" UniqueName="Freight">
                    </telerik:GridNumericColumn>
                    <telerik:GridBoundColumn DataField="ShipName"
                        FilterControlAltText="Filter ShipName column" HeaderText="ShipName"
                        SortExpression="ShipName" UniqueName="ShipName">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ShipCountry"
                        FilterControlAltText="Filter ShipCountry column" HeaderText="ShipCountry"
                        SortExpression="ShipCountry" UniqueName="ShipCountry">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
    </form>
</body>
</html>
